Subject: Re: [PATCH] PPC: KVM: Introduce hypervisor call H_GET_TCE

From: Laurent Dufour <[email-masked]>
Date: Tue, 25 Feb 2014 17:00:52 +0100

On 21/02/2014 16:57, Alexander Graf wrote:
> 
> On 21.02.2014, at 16:31, Laurent Dufour <[email-masked]> wrote:
> 
>> This fix introduces the H_GET_TCE hypervisor call which is basically the
>> reverse of H_PUT_TCE, as defined in the Power Architecture Platform
>> Requirements (PAPR).
>>
>> The hcall H_GET_TCE is required by the kdump kernel which is calling it to
>> retrieve the TCE set up by the panicing kernel.
>>
>> Signed-off-by: Laurent Dufour <[email-masked]>
> 
> Thanks, applied to kvm-ppc-queue. Btw, why exactly are we using struct page pointers and alloc_page rather than __get_free_page() and simple page start pointers?

FWIW, I'm not so familiar with that part of code, it seems that this is
due to the page fault handler (kvm_spapr_tce_fault) which is part of the
mmap file operation handlers associated to the fd returned by
kvm_vm_ioctl_create_spapr_tce. Underlying vma's operation requires the
page fault handler to return a struct page value in the vm_fault structure.

Cheers,
Laurent.